Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593384 - augeas will be used in apache plugin only when it is set in the plugin configuration
augeas will be used in apache plugin only when it is set in the plugin config...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Filip Drabek
Corey Welton
:
Depends On:
Blocks: jon24-apache
  Show dependency treegraph
 
Reported: 2010-05-18 13:29 EDT by Filip Drabek
Modified: 2010-08-12 12:48 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Drabek 2010-05-18 13:29:51 EDT

    
Comment 1 Filip Drabek 2010-05-28 09:18:57 EDT
commit e023d52bfd9b361f52e74a4b9acea8c0b04e5b64
Comment 2 Corey Welton 2010-06-02 15:06:16 EDT
How do we test this?  Does this mean that we should not see augeas get hit on things such as Operations, etc.?
Comment 3 Filip Drabek 2010-06-02 16:24:34 EDT
-Discovery of apache (Server and Virtual Hosts) works without augeas.
IfModules and Directories are discovered only when augeas is enabled.
-Operations works without augeas.
- please test the functionality without installed augeas on linux machine.
- please test the functionality with old augeas version installed on the linux machine (the augeas is bundeled with agent and the right version of augeas should be used automatically)
- please test it also on Windows machine (augeas will not work there)
Comment 4 Corey Welton 2010-06-07 13:13:19 EDT
I have noted some problems to Filip that I have had, regarding discovery on Linux systems without augeas and on Windows systems.  Still trying to wade through these issues.
Comment 5 Corey Welton 2010-06-07 14:03:38 EDT
Update: on a separate linux system, w/ older (and subsequently, no) augeas installed

* I was able to detect apache
* run ops
* did see VirtualHosts appear
* did not see IfModules and Directories appear until augeas was enabled
 
So I think we are good wrt Linux.  Windows may be a separate issue but not a blocker at this point.
Comment 6 Corey Welton 2010-06-09 11:16:03 EDT
QA Verified.
Comment 7 Corey Welton 2010-08-12 12:48:15 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.